Returns the city names of a country's region, for location targeting rules.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/targeting/country/region/city/values.do
Returns the city names of a country's region, for location targeting rules. Requires MANAGE_DEMAND_TARGETING or MANAGE_SUPPLY_PRE_TARGETING permission.
Query Params
countryCodestringrequired
ISO country code
US
regionNamestringrequired
Region name as returned by the region values endpoint
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/targeting/country/region/city/values.do?countryCode=US®ionName=California");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());